#version 330 core
uniform sampler2D uSampler0;
uniform sampler2D uSampler1;
uniform sampler2D uSampler2;

uniform float uCurrentTime;

in vec4 vWorld;

in vec3 vTextureCoord;
in vec3 vDiffuse;
in vec3 vFresnel;

out vec4 FragColor;

void main() {
  vec3 caustics = texture(uSampler1, vec2((vWorld.x)/48.+uCurrentTime/12., (vWorld.z-vWorld.y)/95.)).rgb;
  vec4 colorMap = texture(uSampler0, vec2(vTextureCoord.s, vTextureCoord.t));

  FragColor = vec4(((vDiffuse + caustics)*colorMap.rgb) + vFresnel, colorMap.a);
}
